<a name="menu" href="/doc">返回主目录</a>

1. [icp方案提交](#submitIcpProgramme)
1. [icp材料提交](#submitIcpMaterial)
1. [根据需求产看方案详情](#getProgrammeInfoByNeedNo)
1. [icp通知状态变更](#acceptIcpPartnerNotification)
1. [服务商关闭icp方案](#abolishIcpProgramme)
1. [获取方案详情](#getNeedSolutionDetailByUser)

## **<a name="submitIcpProgramme"> icp方案提交</a>**
[返回到目录](#menu)
##### URL
[/web/action/icpapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：submitIcpProgramme

``` javascript
{
        "actionType":"submitIcpProgramme",
        "actionBody":{
            "needNo":"I20200320201737000zhb",
            "solutionContent":{
                "bizType":"gszc",
                "solution":{
                    "CompanyName":"公司名",
                    "CompanyAddress":"公司地址",
                    "Area":"区域",
                    "Note":"备注"
                }
            }

        }
 }
```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "data":null,
    "requestId": "a277fb799d9f4dda9053fb8830f9d252"
}

```

## **<a name="submitIcpMaterial"> icp材料提交</a>**
[返回到目录](#menu)
##### URL
[/web/action/icpapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：submitIcpMaterial

``` javascript
{
        "actionType":"submitIcpMaterial",
        "actionBody":{
            "BizId":"S20200323174838000zhb",
            "material":{
                "Domain":"备案域名",
                "CorporateName":"法人名称",
                "IncludeForeignInvestment":true,
                "PartnerBusinessLicense":"营业执照",
                "PartnerIdCardList":["相关人员身份证"],
                "PartnerDomainCertificate":"域名证书",
                "PartnerPreviewOtherList":["合作方递交其他供预览的件，只能传递ZIP包"],
                "PartnerPlan":"收费方案计划书",
                "PartnerForeignInvestment":"股东追溯不涉及外资承诺书",
                "PartnerLaw":"依法经营电信业务承诺书",
                "PartnerStampOtherList":["需要盖章，只能传递1个zip包"],
                "PartnerSignOtherList":["需要签字，只能传递1个zip包"],
                "PartnerSignAndStampOtherList":["需要盖章，只能传递1个zip包"]
            }

        }
 }

```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "data":null,
    "requestId": "a277fb799d9f4dda9053fb8830f9d252"
}

```

## **<a name="getProgrammeInfoByNeedNo"> 根据需求产看方案详情</a>**
[返回到目录](#menu)
##### URL
[/web/action/icapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：getProgrammeInfoByNeedNo

``` javascript
{
        "actionType":"getProgrammeInfoByNeedNo",
        "actionBody":{
        	"needNo":"N202002141324bupnr8L"
		}
 }

```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":[
        {
            "needNo":"N202002141324bupnr8L",
            "solutionNo":"NS202003161734ay0SzH",
            "orderNo":null,
            "solutionContent":{
                "bizType":"esp.companyreg",
                "notes":"用户反馈",
                "solution":{

                }
            },
            "status":"yzf",
            "statusName":"已作废"
        }
    ],
    "requestId":"4302ecc284e747a990e4ad61d8236b60"
}

```

## **<a name="acceptIcpPartnerNotification"> icp通知状态变更</a>**
[返回到目录](#menu)
##### URL
[/web/action/icapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：acceptIcpPartnerNotification

``` javascript
{
        "actionType":"acceptIcpPartnerNotification",
        "actionBody":{
			 "BizId":"S20200323174838000zhb",
    		 "OfficialFileUrl":"官⽂下载地址",
			 "ApplicationStatus":"507"
		}
 }
ApplicationStatus：
    507, "完成账户注册"
    508, "服务商完成提交资料到⼯信部"
    509, "⼯商部已受理"，可以传递发⽂
    510, "⼯商部不予受理"，可以传递发⽂
    511, "⼯商部通过"，可以传递发⽂
    512, "⼯商部未通过"，可以传递发⽂
```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "data":null,
    "requestId": "a277fb799d9f4dda9053fb8830f9d252"
}

```

## **<a name="abolishIcpProgramme"> 服务商关闭icp方案</a>**
[返回到目录](#menu)
##### URL
[/web/action/icapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：abolishIcpProgramme

``` javascript
{
        "actionType":"abolishIcpProgramme",
        "actionBody":{
            "BizId":"S20200323174838000zhb",
            "Note":"备注"
        }
 }
```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":null,
    "requestId":"40769e74e83f4505a78b24d84fed870b"
}
```

## **<a name="getNeedSolutionDetailByUser"> 获取方案详情</a>**
[返回到目录](#menu)
##### URL
[/web/action/icapi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：getNeedSolutionDetailByUser

``` javascript

{
        "actionType":"getNeedSolutionDetailByUser",
        "actionBody":{
			 "solutionNo":"NS202004131008iKPRDB"
		}
 }
```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":[
        {
            "id":229,
            "channelNeedNo":"I20200320201737000221",//渠道需求编号 
            "needNo":"N202004111217gD5T8TJ", //需求编号
            "solutionNo":"NS202004131008iKPRDB", //方案编号
            "channelSolutionNo":"S20200323174838000zhb6",//渠道方案编号 同 BizId
            "orderNo":null,//服务订单号
            "solutionContent":{//方案交付信息
                "notes":"",//用户反馈备注
                "status":"ACCOUNT_REGISTERED",//方案流程状态
                "bizType":"icp",//
                "solution":{//方案信息
                    "Area":"区域",
                    "Note":"备注",
                    "IcpType":"icp",
                    "CompanyName":"公司名测试数据",
                    "CompanyAddress":"公司地址"
                },
                "totalSum":"",//订单金额
                "statusName":"完成账户注册",//方案流程状态名称
                "solutionFlowList":[//方案流程列表
                    {
                        "status":"ACCOUNT_REGISTERED",
                        "statusName":"完成账户注册",
                        "updated_at":"2020-04-13T05:28:57.977Z"
                    }
                ],
                "applicationStatusList":[//方案通知状态列表 -- 前端未用到
                    {
                        "created_at":"2020-04-13T02:08:37.317Z",
                        "OfficialFileURL":"",
                        "ApplicationStatus":"submitIcpProgramme",
                        "ApplicationStatusName":"提交方案"
                    },
                    {
                        "created_at":"2020-04-13T05:28:57.977Z",
                        "OfficialFileURL":"",
                        "ApplicationStatus":"507",
                        "ApplicationStatusName":"507"
                    }
                ]
            },
            "status":"dqr",//方案状态
            "statusName":"待确认",
            "createUserId":100,
            "created_at":"2020-04-13T02:08:37.000Z",
            "updated_at":"2020-04-13T05:28:58.000Z",
            "deleted_at":null,
            "version":0
        }
    ],
    "requestId":"2131d6e9c69e4a1399d6db948122363c"
}
```
